import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 *clase enemigos, contine a los enemigos de Coroline que se mueven en las plataformas
 * 
 * @author: Martinez Garcia Dulce Mayra Janet
 * @author: Guerrero Martinez Argel
 * 
 * @version 6 Dic 2010
 */
public class Enemigos  extends AnimatedActor
{
    protected boolean direccion;

    /**
     *constructor que inicializa la direccion en que se moveran los enemigos
     */
    public Enemigos()
    {   
        direccion=false;
    }
    
    /**
     * segundo constructor que hereda de AnimatedActor para la animacion de los actores
     */
    public void Enemigos(String basename, String suffix, int noOfImages)
    {
        Animated(basename, suffix, noOfImages);
    }
    
    public void act() 
    {
        
    }
        
    /**
     * metodo para que la imagen se mueva hacia la izquierda heredando el act de AnimatedActor
     */
    public void actuaIzquierda()
    {
        super.act();  // this takes care of the image animation
        move(-8.0);
    }
    
    /**
     * metodo para que la imagen se mueva hacia la Derecha heredando el act de AnimatedActor
     */
    public void actuaDerecha()
    {
        super.act();  // this takes care of the image animation
        move(+8.0);
    }
    
    /**
     * metodo que verifica si muere el enmigo simpre y cuando lo haya tocado un hacha
     */
    public void muere()
    {
       if(hayHacha())
           getWorld().removeObject(this);
    }
    
    /**
     * metodo que verifica si hay hacha y regresa un booleano
     */
    public boolean hayHacha()
    {
        Actor ha = getOneIntersectingObject(Hacha.class);
        
        if(ha == null)
           return false;
        else
           return true;
    }
    
    /**
     * metodo que verifica si existe un arbusto para cambiar de direccion
     */
    public boolean hayArbusto()
    {
        Actor a =getOneIntersectingObject(Arbusto2.class);

        boolean ban;
        
        if(a == null)
            ban = false;
        else
            ban = true;

        return ban;    
    }
    
}
