import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.*;

/**
 * clase enemigosPrincipales , contine a los enemigos principales de Coroline que estan protegiento el fantasma de meta
 * 
 * @author: Martinez Garcia Dulce Mayra Janet
 * @author: Guerrero Martinez Argel
 * 
 * @version 6 Dic 2010
 */
public class EnemigosPrincipales  extends AnimatedActor
{
    private int  lim = 0;
    private List lis;
    private boolean ban = false;
    protected boolean aux = false;
    protected boolean banderaMuere=false;
    private int contadorMuere=0;
    
    private int contador=0;
   
    
    int tipoObjeto;
    
   /**
    * constructor que hereda de AnimatedActor para la animacion de los actores
    */
    public void EnemigosPrincipales(String basename, String suffix, int noOfImages)
    {
        Animated(basename, suffix, noOfImages);
    }
    
    public void act() 
    {
        
    }    
    
    /**
     * metodo que agrega balas para matar a coraline, siempre y cuando coraline se encuentre cerca
     * este metodo lo usa la mantis y el sr. B
     */
     public void agregaBalas(int x, int y, int caso)
     {
         actuar();
        
       if(this.getObjectsInRange(200, Coraline.class).isEmpty() == false)
               ban = true;
       else
               ban = false;
          
       if(aux==true)
       {
             if(contador<9)
                  contador+=1;
             else
             {
                   aux=false;
                   contador=0;
             }
       }
       
        if(ban && aux == false)
        {
                switch(caso)
                {
                    case 0: Cactus cact= new Cactus();
                        getWorld().addObject(cact, x,y);
                        break;
                        
                    case 1: Boton bo = new Boton();
                        getWorld().addObject(bo, x,y);
                        break;
                }
                 aux=true;
        }
           
     }
     
     /**
      * metodo que lanza balas en cualquier momento
      * lo utiliza la bruja
      */
     public void agregaBalas2(int x, int y)
     {
       actuar();
         
       if(aux==true)
       {
             if(contador<20)
                  contador+=1;
             else
             {
                   aux=false;
                   contador=0;
             }
       }
       
       if(aux == false)
       {
               Aranita ara = new Aranita();
               getWorld().addObject(ara, x,y);
                    aux=true;
       }
     }
      
     /**
      * metodo actuar que ereda el act
      */
     public void actuar()
     {
        super.act();
     }
    
     /**
      * metodo que lleva un contador para que el enemigo muera, hasta que haya tocado un cierto numero de hachas
      */
     public void muereEnemigo()
     {
       Actor b = getOneIntersectingObject(Hacha.class);
       
       if(b!=null)
       {
               if(banderaMuere==false)
               {
                   banderaMuere=true;
                   
                   if(contadorMuere<3) 
                       contadorMuere+=1;
                   else 
                        getWorld().removeObject(this);
             }
       }
       else
       {
           banderaMuere=false;
       }
     } 
 }
