import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 *clase de la hacha que es utilizada por coraline para matar a sus enemigo
 * 
 * @author: Martinez Garcia Dulce Mayra Janet
 * @author: Guerrero Martinez Argel
 * 
 * @version 6 Dic 2010
 */
public class Hacha  extends AnimatedActor
{
    private int limite = 0;
    boolean band;
    
    /**
     * constructor que recibe una bendera para identificar hacia donde se encuentra coraline
     */
    public Hacha(boolean bandera)
    {
        band=bandera;
    }
    
    /**
     * hereda los metodos para su animacion, 
     * hasta que llega a un limite de haber avanzado es removida del mundo
     * 
     * dependiendo de hacia donde este coraline la hacha se mueve en esa direccion
     */
    public void act() 
    {
         if(band)
         {
                 if(limite++ < 13)
                 {
                     Animated("hacha_dos", ".png", 5);
                     super.act();  // this takes care of the image animation
                     move(-11.0);
                 }
                 else
                     getWorld().removeObject(this);   
         }
         else
         {
              if(!band)
              {
                 if(limite++ < 13)
                 {
                     Animated("hacha", ".png", 5);
                     super.act();  // this takes care of the image animation
                     move(+11.0);
                 }
                 else
                     getWorld().removeObject(this);   
              }
         }    
    }
}
