import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * clase que muestra el mensaje de bienvenida
 * 
 * @author: Martinez Garcia Dulce Mayra Janet
 * @author: Guerrero Martinez Argel
 * 
 * @version 6 Dic 2010
 */
public class Welcome  extends PantallasFinales
{
    int numero=0;
    boolean band=true;
    
    /**
     * constructor que recibe el mundo
     */
    public Welcome(Fondo mund)
    {
        Mundo = mund;
    }
    
    /**
     * metodo que le da animacion a la imagen
     * 
     * si presiona clic sobre la imagen aparece la pantalla del menu
     */
    public void act() 
    {
       super.Animated("welcome",".png",3);
       super.actuar();
       
       if(band)
       {
            setLocation(getX(),getY()-1);
            numero++;
            if(numero==5)
            {
               band=false;
               numero=0;
            }
       }
       else
       {
         
            if(band==false)
            {
                setLocation(getX(),getY()+1);
                numero++;
                if(numero==5)
                {
                    band=true;
                    numero=0;
                }
            }
       }
       
       if(Greenfoot.mouseClicked(this))
       {
           Mundo.menu();
       }
    }
}
